Bug 150077 - unable to commit through 'enter' in calendar
Summary: unable to commit through 'enter' in calendar
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libgal2   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: 154360 156322
TreeView+ depends on / blocked
 
Reported: 2005-03-02 06:28 UTC by Lawrence Lim
Modified: 2014-03-26 00:51 UTC (History)
3 users (show)

Fixed In Version: RHBA-2005-556
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 14:44:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:556 qe-ready SHIPPED_LIVE evolution and libgal2 bug fix and enhancement update 2005-10-05 04:00:00 UTC
GNOME Bugzilla 303873 None None None Never

Description Lawrence Lim 2005-03-02 06:28:30 UTC
Description of problem:
At the moment, it is not possible to commit ja characters with Enter using CannaLE.

Version-Release number of selected component (if applicable):
evolution-2.0.2-8
evolution-data-server-1.0.2-4
iiimf-le-canna-12.1-10.EL

How reproducible:
Always

Steps to Reproduce:
1.in g-t, LANG=ja_JP.UTF-8 evolution
2.select Calendar
3.click on any of the time slot
4.press a, backspace
5.ctrl-space
6.sushi
7.enter
  
Actual results:
Blank, unable to commit the ja character

Expected results:
Able to commit the ja char

Additional info:
Only exist for ja locale. Tried zh_*/ko and other indic locales as well.

Comment 1 Lawrence Lim 2005-04-14 08:09:56 UTC
Also determined for certain input mode in zh_TW, similar situation of not able
to commit traditional chinese characters will occur.

Take for example in Cang Jie mode of iiimf-le-xcin, it is not possible to commit
a character from the candidate window using Enter. However, it is possible to
commit the character using number as selection.

Steps to reproduce:
1.in g-t, LANG=zh_TW.UTF-8 evolution
2.select Calendar
3.click on any of the time slot
4.press a, press enter 

Actual Result:
Unable to commit the character


Another scenario which will commit the character to the time slot.
Steps to reproduce:
1.in g-t, LANG=zh_TW.UTF-8 evolution
2.select Calendar
3.click on any of the time slot
4.press a, press 1

Actual Result:
Character gets committed to the time slot.



Comment 2 Leon Ho 2005-04-15 01:56:30 UTC
It is "enter" that evo does not pass to gtk im context - that is the more
general description. Updating the summary.

Comment 3 Akira TAGOH 2005-04-19 11:37:31 UTC
Right. gtk_im_context_filter_keypress() needs to put somewhere...

Comment 4 Leon Ho 2005-06-03 04:23:35 UTC
This is important international market especially for Japanese input method for
RHEL4.

Comment 11 Dave Malcolm 2005-07-26 19:34:14 UTC
Changing component to libgal2 (may also require evolution patching)

Comment 12 Dave Malcolm 2005-08-03 19:26:58 UTC
Built libgal2 part as libgal2-2.2.3-7
Built evolution part as evolution-2.0.2-19

Comment 13 Red Hat Bugzilla 2005-10-05 14:44:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-556.html



Note You need to log in before you can comment on or make changes to this bug.